# BikeType
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.vehicles.objects.types

## Class BikeType

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.types.base.VehicleType
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.types.BikeType

    public class BikeType
    extends VehicleType

### Constructor Summary

Constructors
Constructor and Description
`BikeType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MomentumType` `getMomentumType()` return the momentum type of this VehicleType
`MovementType` `getMovementType()` return the movement type of this VehicleType
`TiltType` `getTiltType()` return the tilt type of this VehicleType

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BikeType

    public BikeType()

### Method Detail

#### getMovementType

    public MovementType getMovementType()

return the movement type of this VehicleType

Returns:
  MovementType

#### getMomentumType

    public MomentumType getMomentumType()

return the momentum type of this VehicleType

Returns:
  MomentumType

#### getTiltType

    public TiltType getTiltType()

return the tilt type of this VehicleType

Returns:
  TiltType